"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.homeTourSteps = void 0;
var React = _interopRequireWildcard(require("react"));
var _reactI18next = require("react-i18next");
var _reactNative = require("react-native");
var _theme = require("../../contexts/theme");
var _TourBox = require("./TourBox");
function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function (nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }
function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }
const homeTourSteps = [{
  render: props => {
    const {
      currentTour,
      currentStep,
      next,
      stop,
      previous
    } = props;
    const {
      t
    } = (0, _reactI18next.useTranslation)();
    const {
      ColorPallet,
      TextTheme
    } = (0, _theme.useTheme)();
    return /*#__PURE__*/React.createElement(_TourBox.TourBox, {
      title: t('Tour.AddAndShare'),
      leftText: t('Tour.Skip'),
      rightText: t('Tour.Next'),
      onLeft: stop,
      onRight: next,
      currentTour: currentTour,
      currentStep: currentStep,
      previous: previous,
      stop: stop,
      next: next
    }, /*#__PURE__*/React.createElement(_reactNative.Text, {
      style: {
        ...TextTheme.normal,
        color: ColorPallet.notification.infoText
      },
      allowFontScaling: false
    }, t('Tour.AddAndShareDescription')));
  }
}, {
  render: props => {
    const {
      currentTour,
      currentStep,
      next,
      stop,
      previous
    } = props;
    const {
      t
    } = (0, _reactI18next.useTranslation)();
    const {
      ColorPallet,
      TextTheme
    } = (0, _theme.useTheme)();
    return /*#__PURE__*/React.createElement(_TourBox.TourBox, {
      title: t('Tour.Notifications'),
      leftText: t('Tour.Back'),
      rightText: t('Tour.Next'),
      onLeft: previous,
      onRight: next,
      currentTour: currentTour,
      currentStep: currentStep,
      next: next,
      stop: stop,
      previous: previous
    }, /*#__PURE__*/React.createElement(_reactNative.Text, {
      style: {
        ...TextTheme.normal,
        color: ColorPallet.notification.infoText
      },
      allowFontScaling: false
    }, t('Tour.NotificationsDescription')));
  }
}, {
  render: props => {
    const {
      currentTour,
      currentStep,
      next,
      stop,
      previous
    } = props;
    const {
      t
    } = (0, _reactI18next.useTranslation)();
    const {
      ColorPallet,
      TextTheme
    } = (0, _theme.useTheme)();
    return /*#__PURE__*/React.createElement(_TourBox.TourBox, {
      title: t('Tour.YourCredentials'),
      leftText: t('Tour.Back'),
      rightText: t('Tour.Done'),
      onLeft: previous,
      onRight: stop,
      currentTour: currentTour,
      currentStep: currentStep,
      next: next,
      stop: stop,
      previous: previous
    }, /*#__PURE__*/React.createElement(_reactNative.Text, {
      style: {
        ...TextTheme.normal,
        color: ColorPallet.notification.infoText
      },
      allowFontScaling: false
    }, t('Tour.YourCredentialsDescription')));
  }
}];
exports.homeTourSteps = homeTourSteps;
//# sourceMappingURL=HomeTourSteps.js.map